package main

import (
	"context"
	"gibb165lb2/util"
	"go.mongodb.org/mongo-driver/mongo"
	"go.mongodb.org/mongo-driver/mongo/options"
	"log"
	"net/http"
	"os"
	"time"
)

func main() {
	ctx, cancel := context.WithTimeout(context.Background(), 10*time.Second)
	defer cancel()
	var err error
	var con_uri = os.Getenv("MONGO_URL")
	if con_uri == "" {
		con_uri = "mongodb://root:root12345@localhost:27017"
	}
	util.Client, err = mongo.Connect(ctx, options.Client().ApplyURI(con_uri))
	if err != nil {
		panic(err)
	}
	defer util.Client.Disconnect(ctx)
	r := GetRouter()

	err = http.ListenAndServe(":3333", r)
	if err != nil {
		log.Fatal(err)
	}
}
